#ifndef DIRECTSALEFORM_H
#define DIRECTSALEFORM_H

#include <QDialog>
#include <QWidget>
#include <QSharedPointer>
#include <core.h>

#include "ishopitem.h"
#include "directsaleitem.h"

namespace Ui {
class DirectSaleForm;
}

class DirectSaleForm : public QDialog
{
    Q_OBJECT

public:
    explicit DirectSaleForm(QWidget *parent = 0);
    ~DirectSaleForm();

    QSharedPointer<IShopItem> shopItem() const;

private slots:
    void on_buttonBox_rejected();

    void on_buttonBox_accepted();

private:
    Ui::DirectSaleForm *ui;
    ObjectBinder m_binder;
    QSharedPointer<DirectSaleItem> m_shopItem;
};

#endif // DIRECTSALEFORM_H
